---
title: "My mobile Linux device setup"
date: 2021-03-08T16:22:38-08:00
draft: false
tags:
- tech
- sailfishos
- ubuntu-touch
---

I spent part of my weekend setting up another device with Ubuntu Touch to serve as my main pocket computing device. I've been playing with Linux on various mobile devices over the years but never really talked much about it other than the random social post. So this time I though it would be fun to actually start documenting it for those who are interested in what I'm using but also for my future self to look back upon.

<!-- more -->

In this first post I'm actually doing to document 3 devices. The first is my actual phone for voice calls, some texts, and mobile hotspot when needed. The second is the Linux device I have been using as my daily driver the last few weeks for Email, chat, internet, games, stuff like that. And the third device is what I setup to be my new daily driver going forward.


#### Light Phone II (my phone)

```
      OS:  Light OS (modified Android)
   Tools:  Phone, Alarm, Calculator
```


#### Planet Computer Gemini PDA 4G LTE (my previous main device)

```
      OS:  Sailfish OS 4.0.1.48
 Browser:  Sailfish Browser
   Email:  Sailfish Email
    XMPP:  Shmoose (Sailfish Messages broken in this release)
  Matrix:  gomuks (via the Terminal) & Konheko
Telegram:  Telegra'me
Mastodon:  Tooter Beta (activitypub server runs Pleroma)
 Twitter:  Piepmatz
    Misc:  Storeman, ownKeepass, SailOTP, Pure Maps, gPodder
   Games:  Machines vs Machines, Patience Deck, Picross 2, Heebo
```


#### Sony Xperia X (my current main device)

```
      OS:  ubports Ubuntu Touch OTA-16 RC
 Browser:  Morph Browser
   Email:  Dekko 2
    XMPP:  ConverseJS
  Matrix:  FluffyChat + Pantalaimon UT
Telegram:  TELEports
Mastodon:  Plemora web app (created using Webber)
 Twitter:  Twitter web app (created using Webber)
    Misc:  UT Tweak Tools, uVolMan, uNav, Tagger, Seabass2, KeePit, 2FA Manager
   Games:  Machines vs Machines, Harbour AirCraft War, Asteroids, Mines
```

