---
title: "Pantalaimon UT"
date: 2020-08-24T14:22:29-07:00
draft: false
weight: 10
---

End-to-end encryption aware Matrix reverse proxy daemon for Ubuntu Touch.

[source code](https://git.sr.ht/~thrrgilag/pantalaimon-ut) -
[issue tracker](https://todo.sr.ht/~thrrgilag/pantalaimon-ut) -
[mailing list](https://lists.sr.ht/~thrrgilag/pantalaimon-ut) -
[releases](https://git.sr.ht/~thrrgilag/pantalaimon-ut/refs)

<!--more-->

## TODO

- [x] About page
- [x] App icon
- [ ] Cross compile python+pantalaimon
- [ ] Release on open-store.io
- [ ] Fix image fetching
- [ ] Ability to verify, ignore, or blacklist devices

## Build

This project is not currently setup for cross building. A binary will need to
be compiled on a device for each target architecture. Make sure there is
enough space on the device to install the build tools and compile python, olm,
and pantalaimon.

* `git clone https://git.sr.ht/~thrrgilag/pantalaimon-ut`
* push dev-build.sh to /home/phablet
* run `dev-build.sh`
* pull /home/phablet/pantalaimon-build/dist/pantalaimon
* rename pantalaimon to pantalaimon-armhf (or pantalaimon-arm64)
* run `clickable`

## Known Issues

* Images (including avatars) are not fetched
* No user interaction to verify, ignore, or blacklist devices

## Contributing

Send patches to
[~thrrgilag/pantalaimon-ut@lists.sr.ht](https://lists.sr.ht/~thrrgilag/pantalaimon-ut)

A tutorial for git send-email can be found at [git-send-email.io](https://git-send-email.io/) 
if you're not familiar with this method.

Bugs can be filed at https://todo.sr.ht/~thrrgilag/pantalaimon-ut

## License

Copyright (C) 2020  Morgan McMillian

Licensed under the Apache Software License 2.0
